List tasks

List all tasks for the current organization with pagination

POST
/tasks/list
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Pagination parameters

pagination?bv.Pagination

Pagination controls the page size and cursor for paginated results. If not provided, default pagination settings will be used.

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/tasks/list" \  -H "Content-Type: application/json" \  -d '{}'
[
  {
    "appId": "string",
    "authorId": "string",
    "children": [
      {
        "appId": "string",
        "authorId": "string",
        "children": [],
        "createdAt": "string",
        "description": "string",
        "endedAt": "string",
        "errors": [
          {
            "code": "string",
            "message": "string"
          }
        ],
        "executorId": "string",
        "id": "string",
        "input": null,
        "kind": "default",
        "organizationId": "string",
        "output": null,
        "params": {
          "property1": null,
          "property2": null
        },
        "parentId": "string",
        "startedAt": "string",
        "stateId": "string",
        "status": "created",
        "targetId": "string",
        "title": "string",
        "updatedAt": "string"
      }
    ],
    "createdAt": "string",
    "description": "string",
    "endedAt": "string",
    "errors": [
      {
        "code": "string",
        "message": "string"
      }
    ],
    "executorId": "string",
    "id": "string",
    "input": null,
    "kind": "default",
    "organizationId": "string",
    "output": null,
    "params": {
      "property1": null,
      "property2": null
    },
    "parentId": "string",
    "startedAt": "string",
    "stateId": "string",
    "status": "created",
    "targetId": "string",
    "title": "string",
    "updatedAt": "string"
  }
]
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}